EarPluginConvention (Gradle API 3.4.1)
Date: 2017-03-03

org.gradle.plugins.ear

## Class EarPluginConvention

- java.lang.Object
- - org.gradle.plugins.ear.EarPluginConvention

-     public class EarPluginConvention
      extends Object

  Ear Plugin Convention.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `EarPluginConvention(org.gradle.api.internal.file.FileResolver fileResolver, org.gradle.internal.reflect.Instantiator instantiator)`
    `EarPluginConvention(org.gradle.internal.reflect.Instantiator instantiator)` Deprecated.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `appDirName(String appDirName)` Allows changing the application directory.
    `EarPluginConvention` | `deploymentDescriptor(Closure configureClosure)` Configures the deployment descriptor for this EAR archive.
    `String` | `getAppDirName()` The name of the application directory, relative to the project directory.
    `DeploymentDescriptor` | `getDeploymentDescriptor()` A custom deployment descriptor configuration.
    `String` | `getLibDirName()` The name of the library directory in the EAR file.
    `void` | `libDirName(String libDirName)` Allows changing the library directory in the EAR file.
    `void` | `setAppDirName(String appDirName)`
    `void` | `setDeploymentDescriptor(DeploymentDescriptor deploymentDescriptor)`
    `void` | `setLibDirName(String libDirName)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### EarPluginConvention

          @Deprecated
          @Inject
          public EarPluginConvention(org.gradle.internal.reflect.Instantiator instantiator)

      Deprecated.

    - #### EarPluginConvention

          @Inject
          public EarPluginConvention(org.gradle.api.internal.file.FileResolver fileResolver,
                                    org.gradle.internal.reflect.Instantiator instantiator)

  - ### Method Detail

    - #### getAppDirName

          public String getAppDirName()

      The name of the application directory, relative to the project directory. Default is "src/main/application".

    - #### setAppDirName

          public void setAppDirName(String appDirName)

    - #### appDirName

          public void appDirName(String appDirName)

      Allows changing the application directory. Default is "src/main/application".

    - #### getLibDirName

          public String getLibDirName()

      The name of the library directory in the EAR file. Default is "lib".

    - #### setLibDirName

          public void setLibDirName(String libDirName)

    - #### libDirName

          public void libDirName(String libDirName)

      Allows changing the library directory in the EAR file. Default is "lib".

    - #### getDeploymentDescriptor

          public DeploymentDescriptor getDeploymentDescriptor()

      A custom deployment descriptor configuration. Default is an "application.xml" with sensible defaults.

    - #### setDeploymentDescriptor

          public void setDeploymentDescriptor(DeploymentDescriptor deploymentDescriptor)

    - #### deploymentDescriptor

          public EarPluginConvention deploymentDescriptor(Closure configureClosure)

      Configures the deployment descriptor for this EAR archive.

      The given closure is executed to configure the deployment descriptor. The `DeploymentDescriptor` is passed to the closure as its delegate.

      Parameters:
        `configureClosure` - The closure.
      Returns:
        This.